## net.i2p.addressbook
Class DaemonThread

    java.lang.Object
      java.lang.Thread
          net.i2p.addressbook.DaemonThread

All Implemented Interfaces:
  Runnable, NamingServiceUpdater

     class DaemonThread

extends Thread
implements NamingServiceUpdater

A thread that waits five minutes, then runs the addressbook daemon.

Author:
  Ragnarok

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DaemonThread(String[] args)` Construct a DaemonThread with the command line arguments args.

Method Summary
`void` `halt()`
`void` `run()`
`void` `update(Properties options)` The NamingServiceUpdater interface

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DaemonThread

    public DaemonThread(String[] args)

  Construct a DaemonThread with the command line arguments args.

  Parameters:
    `args` - A String array to pass to Daemon.main().

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### halt

    public void halt()

### update

    public void update(Properties options)

  The NamingServiceUpdater interface

  Specified by:
    `update` in interface `NamingServiceUpdater`
  Parameters:
    `options` - ignored
  Since:
    0.8.7